#-----------------------------------------------------------------------------------------------------------------------
# Aegis Class Ship
#-----------------------------------------------------------------------------------------------------------------------

class_name AegisClass extends Ship

#-----------------------------------------------------------------------------------------------------------------------

func _init():
    # Set the class's attributes.
    self.maxHealth = 1000
    self.health = self.maxHealth
    self.attack = 100
    self.soak = 10
    self.mass = 100

    #-------------------------------------------------------------------------------------------------------------------
    # Aligment Properties
    #-------------------------------------------------------------------------------------------------------------------

    self.maxNominalLinearSpeed = 1500
    self.maxFlankLinearSpeed = 1850

    self.maxNominalLinearAccel = 50
    self.maxFlankLinearAccel = 50

    self.arrivalTolerance = 20

    #-------------------------------------------------------------------------------------------------------------------
    # Orientation Properties
    #-------------------------------------------------------------------------------------------------------------------

    self.maxNominalAngularSpeed = 40
    self.maxFlankAngularSpeed = 45

    self.maxNominalAngularAccel = 2
    self.maxFlankAngularAccel = 2

    self.alignmentTolerance = 1

    #-------------------------------------------------------------------------------------------------------------------

    # This needs to happen last in top level classes.
    super._init()

#-----------------------------------------------------------------------------------------------------------------------
